%define name open
%define version 1.4
%define prefix %{_prefix}

Summary: A tool which will start a program on a virtual console.
Name: %{name}
Version: %{version}
Release: 13mdk
License: GPL
Group: Terminals
Source: ftp://sunsite.unc.edu/pub/Linux/utils/console/%{name}-%{version}.tar.bz2
Patch: open-1.4-includes.patch.bz2
Buildroot: %{_tmppath}/%{name}-%{version}

%description
The open command starts a specified command with the first available virtual
console, or on a virtual console that you specify.

Install the open package if you regularly use virtual consoles to run programs.

%prep
%setup -q
%patch -p1

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{%{_bindir},%{_mandir}/man1}

make BINDIR=$RPM_BUILD_ROOT%{_bindir} MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1 install
mkdir -p $RPM_BUILD_ROOT/bin
mv $RPM_BUILD_ROOT%{_bindir}/open $RPM_BUILD_ROOT/bin
ln -s /bin/open $RPM_BUILD_ROOT%{_bindir}/open

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/bin/open
%{_bindir}/open
%{_bindir}/switchto
%{_mandir}/man1/open.1.bz2
%{_mandir}/man1/switchto.1.bz2

%changelog
* Sat Sep 15 2001 Warly <warly@mandrakesoft.com> 1.4-13mdk
- new distribution tag

* Tue Sep  5 2000 RedHog <redhog@mandrakesoft.com> 1.4-12mdk
- Move to /bin to make Aurora happy...

* Thu Jul 20 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.4-11mdk
- BM, macros

* Tue Apr 18 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4-10mdk
- specfile cleanup

* Fri Mar 31 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4-9mdk
- new groups

* Thu Nov 18 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- build release

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Oct 20 1997 Otto Hammersmith <otto@redhat.com>
- updated version
- changed source url to ftp://...
- fixed braindeadness with NAME_MAX

* Tue Jun 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc
